com.dlsc.flexgantt.util

## Enum GridLineMode

- java.lang.Object
- - java.lang.Enum<GridLineMode>
  - - com.dlsc.flexgantt.util.GridLineMode

- All Implemented Interfaces:
    Serializable, Comparable<GridLineMode>

      public enum GridLineMode
      extends Enum<GridLineMode>

  An enumerator used for controlling the grid that gets applied in the layer container on the right-hand side of the Gantt chart. The layer container (to be more precise the `GridLayer`) is capable of displaying a major grid, a minor grid, a combined grid or no grid at all. A minor grid determines the positions of its vertical lines based on the time granularity displayed in the bottom half of the dateline. The minor grid uses the upper half. Example: the major grid uses a days granularity, while the minor grid would use hours.
  Since:
    1.0
  Author:
    Dirk Lemmermann
  See Also:
    `AbstractGanttChart.setGridLineMode(GridLineMode)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMBINED_GRID_LINES` A value indicating that vertical grid lines will be drawn at positions dictated by the time granularity displayed in the upper and in the lower half of the dateline.
    `MAJOR_GRID_LINES` A value indicating that vertical grid lines will be drawn at positions dictated by the time granularity displayed in the upper half of the dateline.
    `MINOR_GRID_LINES` A value indicating that vertical grid lines will be drawn at positions dictated by the time granularity displayed in the lower half of the dateline.
    `NO_GRID_LINES` A value indicating that no vertical grid lines are to be drawn by the layer container.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GridLineMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GridLineMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAJOR_GRID_LINES

          public static final GridLineMode MAJOR_GRID_LINES

      A value indicating that vertical grid lines will be drawn at positions dictated by the time granularity displayed in the upper half of the dateline.
      Since:
        1.0

    - #### MINOR_GRID_LINES

          public static final GridLineMode MINOR_GRID_LINES

      A value indicating that vertical grid lines will be drawn at positions dictated by the time granularity displayed in the lower half of the dateline.
      Since:
        1.0

    - #### COMBINED_GRID_LINES

          public static final GridLineMode COMBINED_GRID_LINES

      A value indicating that vertical grid lines will be drawn at positions dictated by the time granularity displayed in the upper and in the lower half of the dateline.
      Since:
        1.0

    - #### NO_GRID_LINES

          public static final GridLineMode NO_GRID_LINES

      A value indicating that no vertical grid lines are to be drawn by the layer container.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static GridLineMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GridLineMode c : GridLineMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GridLineMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.